Subject: Re: [PATCH net-next v3 01/14] virtchnl: create 'include/linux/intel' and move necessary header files

From: Jakub Kicinski <[email-masked]>
Date: Thu, 21 May 2026 06:56:09 -0700

On Thu, 21 May 2026 11:28:50 +0200 Larysa Zaremba wrote:
> On Wed, May 20, 2026 at 05:52:01PM -0700, Jakub Kicinski wrote:
> > On Fri, 15 May 2026 15:44:25 -0700 Tony Nguyen wrote:  
> > > include/linux/intel is vacant  
> > 
> > I don't see any other vendor directory under include/linux  
> 
> There are at least
> 
> include/linux/mlx4, include/linux/mlx5 and include/linux/bnxt.
> 
> Those are per-driver and not per-vendor, but intel ethernet has too many drivers 
> to have separate folders for them.
> 
> I just do not think this creates a precedent neccessarily.

You just said the other ones are for specific drivers.

> Folder structure is for you to decide as a maintainer, but it would be nice to 
> have known about such doubts earlier.

I'd love to know if you any suggestions for improving the process.
Otherwise please keep your venting off list.